---
layout: handbook-page-toc
title: "Developer Relations"
+description: "The Developer Relations team supports GitLab's mission by working with our community to ensure they receive support and recognition for contributing to GitLab."
---

<link rel="stylesheet" type="text/css" href="/stylesheets/biztech.css" />

## On this page
{:.no_toc .hidden-md .hidden-lg}

- TOC
{:toc .hidden-md .hidden-lg}

{::options parse_block_html="true" /}

## <i class="far fa-newspaper" id="biz-tech-icons"></i>  Our mission & vision

Developer Relations drives platform awareness and adoption by reaching deep into wider communities and engaging developers where they are. GitLab currently engages with more than 3000 developers every month on GitLab.com alone, and receives more than 250 contributions every month, giving us a unique level of influence in the DevSecOps space and helping accelerate our innovation. Our ultimate goal is to raise awareness of GitLab and drive customer success by winning the hearts & minds of developers through best-in-class technical enablement and an active community of contributors.

In Developer Relations, we align our mission and vision with the company's [three year strategy](/company/strategy/). We believe that [everyone can contribute](/company/mission/#mission). To help GitLab reach this goal, we aim to double outreach and engagement, strengthen our community presence, secure a healthy contributor base of 1,000 by the end of FY25. Ultimately, these goals help boost platform adoption and GitLab revenue. We aspire to be recognized as thought leaders and key influencers across technical communities. Developer Relations takes developers from awareness to consideration, learning, and adoption. Moreover, Developer Relations is critical in establishing GitLab as the industry leader and platform of choice: more than 85% of developers either make purchase decisions or have a strong influence on technical decisions on platforms and tools (Source: Evans Data, Cloud Development Survey 2019).

## Our Strategy

Our operational strategy is [documented in our internal handbook](https://internal-handbook.gitlab.io/handbook/marketing/developer-relations-and-community/) but is classified as confidential due to business sensitivity, customer impact and to foster a psychological safe environment for our team members. Below you can find our strategic plans that are open to the wider community and where the Developer Relations team welcomes collaboration.

- [Contributor Program Unification & Growth Plan](/handbook/marketing/developer-relations/strategic-plans/contributor-program-unification/)

## <i class="fas fa-users" id="biz-tech-icons"></i> Meet the Team

<%= department_team(base_department: 'Developer Relations') %>

## <i class="far fa-paper-plane" id="biz-tech-icons"></i> How to reach us

### Chat with us
- Developer Relations team members use three Slack channels:
  - [#developer-relations](https://gitlab.slack.com/archives/C0R04UMT9): for all GitLab-related discussion (ex: questions about an issue, announcement of an upcoming event)
  - [#developer-relations-hangout](https://gitlab.slack.com/archives/C01C018V7V3): for all social discussion and updates shared via the Community Catch bot (ex: plumbing problems, weekend plans)
  - [#developer-relations-confidential](https://gitlab.slack.com/archives/C0566B6N2KC): for discussion of confidential topics that cannot be shared in a channel with people from outside GitLab (ex: discussing a topic that was shared in #company-fyi-private among our team)
- GitLab team members and others with Slack access can reach us by visiting the [`#developer-relations`](https://gitlab.slack.com/messages/community-relations) Slack channel, or by tagging the `@community-team`
- Members of the wider GitLab community can connect with us in the [public Discord rooms](https://discord.gg/gitlab)

Teams within Developer Relations are reachable in these Slack channels:

- [#dev-evangelism-and-technical-marketing](https://gitlab.slack.com/archives/CMELFQS4B): [Developer Evangelism](/handbook/marketing/developer-relations/developer-evangelism/) and [Technical Marketing](/handbook/marketing/developer-relations/technical-marketing/) shares content updates, thought leadership & product ideas, and support community responses, meetups, CFPs, etc. 
- [#community-programs](https://gitlab.slack.com/archives/C024ZBWK5KJ): for all inquiries regarding [GitLab Community Programs](/handbook/marketing/community-relations/community-programs/) (EDU/OSS/Startups)
- [#contributor-success](https://gitlab.slack.com/archives/C02R0NE6P6C): for all inquiries regarding [Contributor Success](/handbook/marketing/community-relations/contributor-success/)

### Email us
- Please use the [e-mail address specific to each program](/handbook/marketing/developer-relations/program-resources/#contact-e-mails)

### File an issue
- File an issue to work with us: [See our project management section](/handbook/marketing/developer-relations/project-management/) to find program-specific workboards where you can file an issue

### Emergency contact

- [**Developer Relations emergency contacts**](https://docs.google.com/document/d/16oq7sl6dpI2QbADwY41KjKEjaEj7dJ9LI5owm8lO_iU/edit?usp=sharing)
- [**Incident management roles**](/handbook/engineering/infrastructure/incident-management/#roles-and-responsibilities)
- **Relevant Slack channels for incident/infrastructure:** [`#incident-management`](https://gitlab.slack.com/messages/incident-management), [`#infrastructure-lounge`](https://gitlab.slack.com/messages/incident-management)

## <i class="fas fa-tasks" id="biz-tech-icons"></i> How we work

### Community Team resources
- [Developer Relations project management](/handbook/marketing/developer-relations/project-management/)
- [Common program resources](/handbook/marketing/developer-relations/program-resources/)

### Our handbooks

- [Contributor Success](/handbook/marketing/developer-relations/contributor-success/)
- [Evangelist Program](/handbook/marketing/developer-relations/evangelist-program/)
- [Developer Evangelism](/handbook/marketing/developer-relations/developer-evangelism/)
- [Technical Marketing](/handbook/marketing/developer-relations/technical-marketing/)
- [Leading Organizations](/handbook/marketing/developer-relations/leading-organizations/)
- [Community Programs](/handbook/marketing/developer-relations/community-programs/)
    - [Open Source Program](/handbook/marketing/developer-relations/community-programs/opensource-program/)
    - [Education Program](/handbook/marketing/developer-relations/community-programs/education-program/)
    - [Startups Program](/handbook/marketing/developer-relations/community-programs/startups-program/)


### Our workflows

- [Workflows](/handbook/marketing/developer-relations/workflows-tools/)
  - [Team Budgets](/handbook/marketing/developer-relations/workflows-tools/team-budgets)
  - [Code of Conduct Enforcement](/handbook/marketing/developer-relations/workflows-tools/code-of-conduct-enforcement/)
  - Community platforms: [Forum](/handbook/marketing/developer-relations/workflows-tools/forum/), [Reddit](/handbook/marketing/developer-relations/workflows-tools/reddit/), [StackOverflow](/handbook/marketing/developer-relations/workflows-tools/stackoverflow/)
  - Integrations: [Disqus](/handbook/marketing/developer-relations/workflows-tools/disqus/), [Zapier](/handbook/marketing/developer-relations/workflows-tools/zapier/)
  - Communication: [Zendesk](/handbook/marketing/developer-relations/workflows-tools/zendesk/), [Email](/handbook/marketing/developer-relations/workflows-tools/e-mail/), [Twitter](/handbook/marketing/developer-relations/workflows-tools/twitter/)
  - [Swag operations](/handbook/marketing/developer-relations/workflows-tools/swag/)
  - [Events](/handbook/marketing/developer-relations/events/)
  - [Content Review / Fix Fridays](/handbook/marketing/developer-relations/workflows-tools/content-review/)
- [Developer Evangelism Community Response Process](/handbook/marketing/developer-relations/developer-evangelism/community-response/)
- [Community Programs: Automated Community Programs](/handbook/marketing/developer-relations/community-programs/automated-community-programs/)
- [UTM Tracking Strategy](/handbook/marketing/developer-relations/utm-strategy/)
- [CommunityApps](/handbook/marketing/developer-relations/community-apps/)
  - [Campaign management](/handbook/marketing/developer-relations/community-apps/campaign-manager/)

#### Community Interest

If you are working on changes to the company, product, or pricing that are expected to have a meaningful impact on members of the wider GitLab community or the GitLab brand, we encourage you to use the label `~Community Interest` so that the Developer Relations team can represent the interests of the wider GitLab community in the planning process.

All members of the Developer Relations team should be subscribed to this label in both the [`gitlab-com`](https://gitlab.com/groups/gitlab-com/-/labels?search=community) and [`gitlab-org`](https://gitlab.com/groups/gitlab-org/-/labels?search=community) projects.

#### Team touchpoints

Our team has a few weekly events that we use to stay connected and aligned on our work:
- Team meeting on Tuesdays at 1630 GMT
  - Team meetings are recorded via Zoom and recordings linked to the corresponding date in the meeting notes.
- 1:1 meeting between each team member and their manager
- Three question check-in via Geekbot for each team member on Thursday at 1000 local time with the responses shared in the [#community-hangout](https://gitlab.slack.com/archives/C01C018V7V3) channel


#### Group Conversation
We host a [Group conversation](/handbook/group-conversations/) for the benefit of other team members.
When posting to the [What's happening at GitLab](https://gitlab.slack.com/archives/C0259241C) Slack to announce a Group Conversation, use the following format to create an engaging and entertaining post.
```
[Intro with emoji]
Please join me on [Day, 202X-XX-XX, time] for the :community: Developer Relations Group Conversation!

:flashlight: We plan on highlighting:
- [list of highlights]

:google_slides: Check out the [slides link] to learn what we've been up to.
:google_docs: Please add questions to the [ agenda doc link] ahead of time so we can jump right in. :ninja_turtle_jumping_yay:

[outro with call to action to join and some more emoji]
See you then!
```

### Our calendars

We use team-wide calendars for collective notification and to manage team logistics and events. Additionally, specific teams within Developer Relations may maintain calendars specific to their programs (such as the [Developer Evangelism calendar](/handbook/marketing/developer-relations/developer-evangelism/#-team-calendar)).

- [Developer Relations Team](https://calendar.google.com/calendar/u/0?cid=Y190M2JhY2k5MnFoYnJmYTMyMDdpZHZwdnYwMEBncm91cC5jYWxlbmRhci5nb29nbGUuY29t)
- [Community Events](https://calendar.google.com/calendar/b/1?cid=Z2l0bGFiLmNvbV85MHQ1dWUxcThrYmpvcTViMHI5MW51N3J2Y0Bncm91cC5jYWxlbmRhci5nb29nbGUuY29t)


### Developer Relations OKRs

Every quarter, we work on [team Objectives and Key Results (OKRs)](https://gitlab.com/groups/gitlab-com/marketing/community-relations/-/epics?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=OKR) that align with company OKRs.

OKRs we seek to align with:
 * [CEO OKRs](/company/okrs/#most-recent-okrs)
 * [Marketing OKRs](/handbook/marketing/#most-recent-okrs)

#### How we update our OKRs

To update our [list of current OKRs](https://gitlab.com/groups/gitlab-com/marketing/community-relations/-/epics?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=OKR):
 1. **New Epic.** In order to facilitate [collaboration](https://about.gitlab.com/handbook/values/#collaboration) between the Developer Relations team and the rest of the GitLab teams, OKRs are placed in the [`gitlab-com` project.](https://gitlab.com/groups/gitlab-com/) The naming convention we use for OKRs is: `FY-Year-Quarter OKR: Description of OKR`
 1. **Program label.** Tag the new epic with a program-specific label (e.g. `open source program` `education program` etc).
 1. **Group label.** Tag the epic with the `Developer Relations` label.
 1. **OKR label.** Add the red `OKR` label.

**Issue Health:** We use issue health indicators to help people understand an OKRs status at a glance. These status indicators are:
 * `on track`
 * `needs attention`
 * `at risk`

### Developer Relations KPIs
The Developer Relations team monitors several [Key Performance Indicators and related Performance Indicators](/handbook/marketing/developer-relations/performance-indicators/).

<%= kpi_list_by_org("Developer Relations Department") %>

## <i class="fas fa-vector-square" id=biz-tech-icons></i> Team Logos

GitLab Developer Relations team logos can be found in `.png` and `.svg` formats by searching for `gitlab-devrel-logo` in Google Drive. 

## <i class="fas fa-receipt" id="biz-tech-icons"></i> Team Budgets
Learn more on the [Developer Relations budget page](/handbook/marketing/developer-relations/workflows-tools/team-budgets/)

## <i class="fas fa-globe"></i> Community Diversity, Inclusion, and Belonging

In alignment with [GitLab's core value of Diversity, Inclusion, and Belonging (DIB)](/handbook/values/#diversity-inclusion), the Developer Relations team seeks to purposefully design DIB into every facet of its programs and operations. We seek to foster DIB at GitLab and within the wider GitLab community.

This section is meant to document tips and best practices that the Developer Relations team, and GitLab team, should keep in mind as they plan [events](/handbook/marketing/developer-relations/events/) and activities.

 * **Images:** We seek to promote the use of images that represent a diverse group of users, customers, and community members. When we see a lack of diverse representation, we speak up and actively help update those images when possible.
 * **Speakers:** As event organizers and participants, we seek to include a diverse set of speakers in events that GitLab organizes or touches.
 * **We are open-minded:** We actively seek feedback and keep an open mind about our current policies. We are open to change and are willing to make structural changes to ensure that we continue to foster DIB among our team and the wider GitLab community.
 * **We retain a growth-mindset and keep learning:** We read articles, attend workshops, and participate in trainings that help educate us about how to foster DIB in our community and how to be inclusive ourselves.
 * **We encourage a diverse set of community members to participate in research:** We recognize the product inclusivity is important and that we need to build with our community, not just for them. We encourage a diverse set of community members to participate in our [First Look product research program](/community/gitlab-first-look/).
 * **We promote the [GitLab Diversity Scholarship program](/community/sponsorship/):** This scholarship supports Diversity, Inclusion, and Belonging-focused events financially.

## <i class="fas fa-lightbulb"></i> Communities who inspire us

We take inspiration from the great work being done by other communities. Some of the communities who we take inspiration from:
- [Linux Foundation](https://www.linuxfoundation.org/) - A large, engaged community that act as custodians for important open source technology.
- [CNCF](https://www.cncf.io/) - A large, engaged community that act as custodians for important open source technology.
- [FINOS](https://www.finos.org/) - A large, engaged community that act as custodians for important open source technology.
- [Debian](https://www.debian.org/) - A large, engaged community that act as custodians for important open source technology.
- [GNOME](https://www.gnome.org/) - A large, engaged community that act as custodians for important open source technology.
- [KDE](https://kde.org/) - A large, engaged community that act as custodians for important open source technology.
- [Fedora](https://getfedora.org/) - A large, engaged community that act as custodians for important open source technology.
- [Drupal](https://www.drupal.org/) - A large, engaged community that act as custodians for important open source technology.
- [Wikimedia Foundation](https://wikimediafoundation.org/) - This community is a champion for free information with a large, engaged community.
- [Kubernetes](https://kubernetes.io/) - This community consists of a large network of user groups and champions that serve to help each other grow and better utilize Kubernetes.
- [AWS](https://aws.amazon.com/developer/community/) - This community consists of a large network of user groups and champions that serve to help each other grow and better utilize AWS.
- [Dev.to](https://dev.to/) - This community creates a welcoming place for the tech community, particularly newcomers, to learn and share content.
- [Hacker News](https://news.ycombinator.com/) - This community is known for its engaging discussion of the latest tech news and trends.
- [Google Summer of Code](https://summerofcode.withgoogle.com/) - This community inspires us through their work to make the tech community more diverse and inclusive and create new opportunities for people new to tech.
- [Outreachy](https://www.outreachy.org/) - This community inspires us through their work to make the tech community more diverse and inclusive and create new opportunities for people new to tech.
- [Grace Hopper Community / Systers](https://anitab.org/our-communities/systers/) - This community inspires us through their work to make the tech community more diverse and inclusive.
- [Lesbians Who Tech](https://lesbianswhotech.org/debugsummit2021/) - This community inspires us through their work to make the tech community more diverse and inclusive.
- [Techqueria](https://techqueria.org/) - This community inspires us through their work to make the tech community more diverse and inclusive.
- [Latinas in Tech](https://latinasintech.org/) - This community inspires us through their work to make the tech community more diverse and inclusive.
- [Women in Tech](https://women-in-tech.org/) - This community inspires us through their work to make the tech community more diverse and inclusive.
- [Women Who Code](https://www.womenwhocode.com/) - This community inspires us through their work to make the tech community more diverse and inclusive.
- [Rails Girls](http://railsgirls.com/) - This community inspires us through their work to make the tech community more diverse and inclusive.

## <i class="fas fa-book"></i> Community Learning Pathway
The [Community Learning Pathway](/handbook/marketing/developer-relations/community-pathway) is a course built to educate the community on how the Developer Relations team works, the different community programs and how to contribute the GitLab. Members of the Community and GitLab team members who complete the course will earn a badge.

## <i class="fas fa-book"></i> Community Building Reading Group
The Community Building Reading Group is for GitLab team members interested or engaged in building communities at GitLab. Hosted by members of the Developer Relations team, this learning-focused group examines various principles and practices related to imagining, designing, building, nurturing, growing, and supporting communities. Potential topics of study and discussion include:

* Leading and conducting community activities
* Welcoming new contributors
* Managing relationships in and with communities
* Negotiating community authority and power relations
* Architecting and enforcing community codes of conduct
* Cultivating community cultures
* Measuring community health and success
* Converting community participants into community contributors
* Encouraging community mentorship
* Building community-powered innovation and business models
* Assessing community infrastructure and governance models
* Understanding community value propositions and exchanges

By collaborating as part of this group, members aim to:

* **Hone their craft.** Working with communities requires thoughtful and skillful practice. This group provides a space for collectively reviewing, assessing, and learning from materials that help members become better practitioners.
* **Create space for support and growth.** Working with communities requires emotional labor, and people who undertake it often benefit from spaces to discuss the work's challenges with like-minded collaborators. This group would function as one such space.
* **Generate and share resources.** Working with communities is easier with knowledge of best practices and trusted frameworks. By reading and reviewing materials on the state of the art, members generate a knowledge commons others can access and from which they can learn.

Any GitLab team member interested in community building practices is welcome to participate in and contribute to the group. Unlike typical [GitLab book clubs](https://about.gitlab.com/handbook/leadership/book-clubs/), this reading group:

* is an ongoing effort rather than a discrete and time-delimited event
* is focused on a series of works rather than a single one

The reading group operates on a cadence group members determine together. Group members also collectively determine the material—for example, a book chapter, a white paper, a research report, a presentation recording, or a case study—they'll cover each week.

1. Group members propose materials for the group to study and discuss by opening an issue in the Developer Relations team's `Community Building` [project](https://gitlab.com/gitlab-com/marketing/community-relations/general) using the `reading-group` template, then attaching the `Reading Group::Proposed` label to it.
2. Group members can then browse one another's suggestions and collectively select what to study.
3. When they determine what they'll read, they re-label the issue `Reading Group::Up Next.`
4. When they begin reading and studying proposed material, they re-label the issue, applying the `Reading Group::Now Reading` label.
5. And when they've finished a selection, they apply the `Reading Group::Finished` label to the associated issue. A [project board](https://gitlab.com/gitlab-com/marketing/community-relations/general/-/boards/4595510) tracks all selections.

As they read, group members share notes and impressions asynchronously [via files](https://gitlab.com/gitlab-com/marketing/community-relations/community-building/-/tree/master/resources) stored in the `Community Building` project. When they have completed a selection, they polish these notes and update the `Community Building` wiki accordingly.

Each cycle, a group member (typically the person who proposed the materials) acts as "leader." Group leaders pose some basic discussion questions or thought-generating insights to guide the group's reading and frame its discussion. Group members meet at regular intervals for live, synchronous discussion of the reading materials (suggested time for discussion meetings: 45 minutes). Recordings of these meetings are available, but because discussions often contain personal details and sensitive issues, these recordings are only access to GitLab team members via an internal Google Drive.
